Skip to main content

Финансирование. Факторинг

OpenAPI 1.0.0

API Факторинга

Скачать исходную спецификацию

Варианты

  • Public

Операции API

GET /v1/agreements — Получение договоров Факторинга

Метод получения договоров Факторинга со счетами по параметрам

{
  "description": "Метод получения договоров Факторинга со счетами по параметрам",
  "operationId": "getAgreements",
  "parameters": [
    {
      "description": "Список клиентских номеров",
      "in": "query",
      "name": "cnums",
      "required": false,
      "schema": {
        "example": [
          "CACJEW",
          "AAABBB"
        ],
        "items": {
          "example": "CACJEW",
          "type": "string"
        },
        "type": "array"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "withAllAccounts": {
              "summary": "Договоры с двумя видами счетов",
              "value": {
                "agreements": [
                  {
                    "id": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "supplierId": "74f36f89-3e28-4291-896f-b76801238e89",
                    "number": "ДФ-1234",
                    "startDate": "2025-05-01",
                    "feeInvoiceCompensationPeriod": 10,
                    "isNonAcceptanceWithdrawalFee": false,
                    "internalAccounts": [
                      {
                        "id": "0a587aa4-bad9-47ea-beee-6e7775c879f0",
                        "cbaNumber": "40702810400000053038",
                        "isForFinancing": true,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-10-15T12:13:11.512123",
                          "errors": [],
                          "cqrsVersion": -5471340216
                        }
                      },
                      {
                        "id": "96f88f49-09d4-4580-bb84-1a327e89dd3b",
                        "cbaNumber": "40701610400000053040",
                        "isForFinancing": true,
                        "state": {
                          "status": "BLOCKED",
                          "statusDate": "2025-10-10T17:51:01.256712",
                          "errors": [],
                          "cqrsVersion": -1237890432
                        }
                      }
                    ],
                    "externalAccounts": [
                      {
                        "id": "dfbea6f1-309c-4c0e-815d-7d6527a234c8",
                        "cbaNumber": "40702978200000023058",
                        "bankFullNameRus": "ОАО КБ \"ЖИЛСТРОЙБАНК\"",
                        "isForFinancing": false,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-10-01T08:05:51.024123",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "b2d62049-c229-4849-9234-6c5d9e9d1e80",
                        "cbaNumber": "40702931700000023512",
                        "bankFullNameRus": "АО \"РОССЕЛЬХОЗБАНК\"",
                        "isForFinancing": true,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-09-25T14:31:20.0965678",
                          "errors": [],
                          "cqrsVersion": 6298231120
                        }
                      }
                    ],
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024991",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  },
                  {
                    "id": "52d76346-1aa1-4268-ae14-fb6d8e048305",
                    "supplierId": "74f36f89-3e28-4291-896f-b76801238e89",
                    "number": "ДФ-9876",
                    "startDate": "2025-07-15",
                    "feeInvoiceCompensationPeriod": 20,
                    "isNonAcceptanceWithdrawalFee": true,
                    "internalAccounts": [
                      {
                        "id": "05217cb1-8abe-4807-8843-5d54840aeed2",
                        "cbaNumber": "40702810400000053038",
                        "isForFinancing": true,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-10-15T12:13:11.512312",
                          "errors": [],
                          "cqrsVersion": -5471340216
                        }
                      },
                      {
                        "id": "93bf311e-ceb4-47ac-8e06-32d6ba64a297",
                        "cbaNumber": "40701610400000053040",
                        "isForFinancing": true,
                        "state": {
                          "status": "BLOCKED",
                          "statusDate": "2025-10-10T17:51:01.256453",
                          "errors": [],
                          "cqrsVersion": -1237890432
                        }
                      }
                    ],
                    "externalAccounts": [
                      {
                        "id": "02882c49-6b3d-4e34-a76c-648e2fead85a",
                        "cbaNumber": "40702978200000023058",
                        "bankFullNameRus": "ОАО КБ \"ЖИЛСТРОЙБАНК\"",
                        "isForFinancing": false,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-10-01T08:05:51.024112",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "83f89556-a9a0-4431-a5f5-56be6b414835",
                        "cbaNumber": "40702931700000023512",
                        "bankFullNameRus": "АО \"РОССЕЛЬХОЗБАНК\"",
                        "isForFinancing": true,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-09-25T14:31:20.096345",
                          "errors": [],
                          "cqrsVersion": 6298231120
                        }
                      }
                    ],
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024667",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  }
                ]
              }
            },
            "onlyWithInternal": {
              "summary": "Договор со счетами клиента только в Райффайзенбанке",
              "value": {
                "agreements": [
                  {
                    "id": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "supplierId": "74f36f89-3e28-4291-896f-b76801238e89",
                    "number": "ДФ-1234",
                    "startDate": "2025-05-01",
                    "feeInvoiceCompensationPeriod": 10,
                    "isNonAcceptanceWithdrawalFee": false,
                    "internalAccounts": [
                      {
                        "id": "0a587aa4-bad9-47ea-beee-6e7775c879f0",
                        "cbaNumber": "40702810400000053038",
                        "isForFinancing": true,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-10-15T12:13:11.512889",
                          "errors": [],
                          "cqrsVersion": -5471340216
                        }
                      },
                      {
                        "id": "96f88f49-09d4-4580-bb84-1a327e89dd3b",
                        "cbaNumber": "40701610400000053040",
                        "isForFinancing": true,
                        "state": {
                          "status": "BLOCKED",
                          "statusDate": "2025-10-10T17:51:01.256931",
                          "errors": [],
                          "cqrsVersion": -1237890432
                        }
                      }
                    ],
                    "externalAccounts": [],
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024212",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  }
                ]
              }
            },
            "onlyWithExternal": {
              "summary": "Договор со счетами клиента только во внешнем банке",
              "value": {
                "agreements": [
                  {
                    "id": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "supplierId": "74f36f89-3e28-4291-896f-b76801238e89",
                    "number": "ДФ-1234",
                    "startDate": "2025-05-01",
                    "feeInvoiceCompensationPeriod": 20,
                    "isNonAcceptanceWithdrawalFee": true,
                    "internalAccounts": [],
                    "externalAccounts": [
                      {
                        "id": "dfbea6f1-309c-4c0e-815d-7d6527a234c8",
                        "cbaNumber": "40702978200000023058",
                        "bankFullNameRus": "ОАО КБ \"ЖИЛСТРОЙБАНК\"",
                        "isForFinancing": false,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-10-01T08:05:51.024325",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "b2d62049-c229-4849-9234-6c5d9e9d1e80",
                        "cbaNumber": "40702931700000023512",
                        "bankFullNameRus": "АО \"РОССЕЛЬХОЗБАНК\"",
                        "isForFinancing": true,
                        "state": {
                          "status": "ACTIVE",
                          "statusDate": "2025-09-25T14:31:20.056023",
                          "errors": [],
                          "cqrsVersion": 6298231120
                        }
                      }
                    ],
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024129",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/AgreementListResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение договоров Факторинга",
  "tags": [
    "Agreement"
  ]
}

GET /v1/agreement-sums — Получение сумм договоров Факторинга

Метод получения сумм договоров Факторинга по параметрам

{
  "description": "Метод получения сумм договоров Факторинга по параметрам",
  "operationId": "getAgreementSums",
  "parameters": [
    {
      "description": "Идентификатор договора Факторинга. Если указан, в ответе будет возвращен список, содержащий не более одного элемента\n",
      "in": "query",
      "name": "agreementId",
      "required": false,
      "schema": {
        "example": "5d4ee077-09ad-4d60-953d-845055187941",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "single": {
              "description": "Сумма одного договора. Такой результат возможен при указании agreementId",
              "summary": "Сумма одного договора",
              "value": {
                "agreementSums": [
                  {
                    "id": "5d4ee077-09ad-4d60-953d-845055187941",
                    "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "amount": 2000000,
                    "availableAmount": 500000.68,
                    "utilizedAmount": 1000000.53,
                    "state": {
                      "status": "ACTIVE",
                      "statusDate": "2025-10-16T12:00:01.024991",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  }
                ]
              }
            },
            "multiple": {
              "description": "Несколько сумм договоров. Такой результат возможен без указания agreementId",
              "summary": "Суммы нескольких договоров",
              "value": {
                "agreementSums": [
                  {
                    "id": "5d4ee077-09ad-4d60-953d-845055187941",
                    "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "amount": 2000000,
                    "availableAmount": 500000.68,
                    "utilizedAmount": 1000000.53,
                    "state": {
                      "status": "ACTIVE",
                      "statusDate": "2025-10-16T12:00:01.024991",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  },
                  {
                    "id": "35a20a89-decc-456c-a63b-a4dddda197ef",
                    "agreementId": "033bbe3b-eb5e-4cd2-b8bd-4b42433e3d77",
                    "amount": 123456789,
                    "availableAmount": 123451788.88,
                    "utilizedAmount": 5000.12,
                    "state": {
                      "status": "ACTIVE",
                      "statusDate": "2026-01-16T08:12:51.053201",
                      "errors": [],
                      "cqrsVersion": 612360112
                    }
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/AgreementSumListResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение сумм договоров Факторинга",
  "tags": [
    "AgreementSum"
  ]
}

GET /v1/agreement-sums/sublimits — Получение сублимитов

Метод получения сублимитов по параметрам

{
  "description": "Метод получения сублимитов по параметрам",
  "operationId": "getSublimits",
  "parameters": [
    {
      "description": "Идентификатор основных условий обслуживания поставщик-дебитор. Если указан, в ответе будет возвращён список, содержащий не более одного элемента\n",
      "in": "query",
      "name": "dealConditionsId",
      "required": false,
      "schema": {
        "example": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "single": {
              "description": "Один сублимит. Такой результат возможен при указании dealConditionsId",
              "summary": "Один сублимит",
              "value": {
                "sublimits": [
                  {
                    "id": "04ab216e-5626-4111-86d8-f606048fc000",
                    "dealConditionsId": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
                    "amount": 2000000,
                    "utilizedAmount": 987654.38,
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024001",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  }
                ]
              }
            },
            "multiple": {
              "description": "Несколько сублимитов для разных основных условий обслуживания. Такой результат возможен без указания dealConditionsId\n",
              "summary": "Несколько сублимитов",
              "value": {
                "sublimits": [
                  {
                    "id": "04ab216e-5626-4111-86d8-f606048fc000",
                    "dealConditionsId": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
                    "amount": 2000000,
                    "utilizedAmount": 987654.38,
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024001",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  },
                  {
                    "id": "b76ab99e-067c-4eea-ab51-2f759d6d0bbe",
                    "dealConditionsId": "58a4683f-f1f6-41e8-9615-b1c8ea39523d",
                    "amount": 1500000,
                    "utilizedAmount": 0,
                    "state": {
                      "status": "IN_PROCESSING",
                      "statusDate": "2025-08-12T19:31:43.645387",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/SublimitListResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение сублимитов",
  "tags": [
    "Sublimit"
  ]
}

GET /v1/contracts — Получение контрактов

Метод получения контрактов по параметрам

{
  "description": "Метод получения контрактов по параметрам",
  "operationId": "getContracts",
  "parameters": [
    {
      "description": "Идентификатор основных условий обслуживания поставщик-дебитор",
      "in": "query",
      "name": "dealConditionsId",
      "required": false,
      "schema": {
        "example": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "multipleContracts": {
              "summary": "Контракты",
              "value": {
                "contracts": [
                  {
                    "id": "4f7d974a-dd63-421b-ba2b-712da215b86b",
                    "number": "A12345",
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024991",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  },
                  {
                    "id": "0d8809f8-2c7f-4c62-8a51-2468906b7f1c",
                    "number": "54321B",
                    "state": {
                      "status": "IN_PROCESSING",
                      "statusDate": "2025-10-16T18:48:15.032112",
                      "errors": [],
                      "cqrsVersion": 5139236428
                    }
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ContractListResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение контрактов",
  "tags": [
    "Contract"
  ]
}

GET /v1/deal-conditions — Получение основных условий обслуживания поставщик-дебитор

Метод получения основных условий обслуживания поставщик-дебитор по параметрам

{
  "description": "Метод получения основных условий обслуживания поставщик-дебитор по параметрам",
  "operationId": "getDealConditions",
  "parameters": [
    {
      "description": "Идентификатор договора Факторинга",
      "in": "query",
      "name": "agreementId",
      "required": false,
      "schema": {
        "example": "ba705955-3e0f-4956-84e0-e12616e84e2b",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "for-one-agreement": {
              "description": "Основные условия обслуживания для одного договора. Например, был указан agreementId",
              "summary": "Основные условия обслуживания для одного договора",
              "value": {
                "dealConditions": [
                  {
                    "id": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
                    "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "debtorId": "8867503f-10a5-4591-b739-78d75f3607c1",
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.321458",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  },
                  {
                    "id": "b2a81463-24ea-4917-aaae-3c72170ec117",
                    "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "debtorId": "fcad2408-4ebb-4cdc-a93d-577ec4528f54",
                    "state": {
                      "status": "IN_PROCESSING",
                      "statusDate": "2025-10-04T15:21:54.582162",
                      "errors": [],
                      "cqrsVersion": 3816547290
                    }
                  }
                ]
              }
            },
            "for-multiple-agreements": {
              "description": "Основные условия обслуживания для нескольких договоров. Такой результат возможен без указания agreementId",
              "summary": "Основные условия обслуживания для нескольких договоров",
              "value": {
                "dealConditions": [
                  {
                    "id": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
                    "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "debtorId": "8867503f-10a5-4591-b739-78d75f3607c1",
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.321458",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  },
                  {
                    "id": "b2a81463-24ea-4917-aaae-3c72170ec117",
                    "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
                    "debtorId": "fcad2408-4ebb-4cdc-a93d-577ec4528f54",
                    "state": {
                      "status": "IN_PROCESSING",
                      "statusDate": "2025-10-04T15:21:54.651823",
                      "errors": [],
                      "cqrsVersion": 3816547290
                    }
                  },
                  {
                    "id": "3c6251f9-fe4d-4f2b-b9aa-e284b1c95ccd",
                    "agreementId": "bbf1240d-25fc-4948-bcba-03cfdf614a63",
                    "debtorId": "17becb1e-1fa3-4d9d-bd59-87d657698fab",
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-11-05T10:13:40.612333",
                      "errors": [],
                      "cqrsVersion": 1256544810
                    }
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/DealConditionsListResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение основных условий обслуживания поставщик-дебитор",
  "tags": [
    "DealConditions"
  ]
}

GET /v1/debtors/{id} — Получение дебитора по идентификатору

Метод получения дебитора по идентификатору

{
  "description": "Метод получения дебитора по идентификатору",
  "operationId": "getDebtorById",
  "parameters": [
    {
      "description": "Идентификатор дебитора",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "example": "8867503f-10a5-4591-b739-78d75f3607c1",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Дебитор",
              "value": {
                "id": "8867503f-10a5-4591-b739-78d75f3607c1",
                "fullNameRus": "АО Ромашка",
                "state": {
                  "status": "ACTIVE",
                  "statusDate": "2025-10-21T15:25:12.391551",
                  "errors": [],
                  "cqrsVersion": 2791332215
                }
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/Debtor"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение дебитора по идентификатору",
  "tags": [
    "Debtor"
  ]
}

GET /v1/financing-requests — Получение запросов на финансирование

Метод получения запросов на финансирование по переданным параметрам

{
  "description": "Метод получения запросов на финансирование по переданным параметрам",
  "operationId": "getFinancingRequests",
  "parameters": [
    {
      "description": "Идентификатор Договора Факторинга",
      "in": "query",
      "name": "agreementId",
      "required": false,
      "schema": {
        "example": "ba705955-3e0f-4956-84e0-e12616e84e2b",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "Список статусов запросов на финансирование",
      "in": "query",
      "name": "statuses",
      "required": false,
      "schema": {
        "example": [
          "SENT_TO_CDC_SIGN",
          "REJECTED"
        ],
        "items": {
          "example": "SENT_TO_CDC_SIGN",
          "type": "string"
        },
        "type": "array"
      }
    },
    {
      "description": "Число записей для смещения для формирования страницы ответа",
      "in": "query",
      "name": "offset",
      "required": false,
      "schema": {
        "example": 10,
        "type": "integer"
      }
    },
    {
      "description": "Ограничение количества элементов на странице ответа",
      "in": "query",
      "name": "limit",
      "required": false,
      "schema": {
        "example": 2,
        "type": "integer"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Запросы на финансирование",
              "value": {
                "financingRequests": [
                  {
                    "id": "e05f8afe-a72e-4a6f-8292-7edb51a724ec",
                    "creationDate": "2025-10-16",
                    "amount": 123456.78,
                    "financedAmount": 0,
                    "isPartiallyFinanceable": true,
                    "financingAccount": {
                      "cbaNumber": "40702810400000053038"
                    },
                    "comment": "Комментарий",
                    "suppliesQuantity": 145,
                    "number": 1,
                    "digest": "eyJjbnVtIjoiQ0FDSkVXIfQ==",
                    "debtor": {
                      "fullNameRus": "АО Ромашка"
                    },
                    "supplier": {
                      "cnum": "CACJEW",
                      "fullNameRus": "АО Ромашка"
                    },
                    "state": {
                      "status": "SENT_TO_CDC_SIGN",
                      "statusDate": "2025-10-16T10:53:37.433531",
                      "errors": [],
                      "cqrsVersion": -1628796591
                    }
                  },
                  {
                    "id": "617edfe1-83a9-48b6-9cd8-10afb03a2181",
                    "creationDate": "2025-10-16",
                    "amount": 567890.12,
                    "financedAmount": 0,
                    "isPartiallyFinanceable": true,
                    "financingAccount": {
                      "cbaNumber": "40702810400000053038"
                    },
                    "comment": "Комментарий",
                    "suppliesQuantity": 31,
                    "number": 1,
                    "digest": "eyJjbnVtIjoiQ0FxxxTLDfQ==",
                    "debtor": {
                      "fullNameRus": "АО Ромашка"
                    },
                    "supplier": {
                      "cnum": "CACJEW",
                      "fullNameRus": "АО Ромашка"
                    },
                    "state": {
                      "status": "REJECTED",
                      "statusDate": "2025-10-18T13:11:51.123581",
                      "errors": [],
                      "cqrsVersion": 5732813345
                    }
                  }
                ],
                "offset": 0,
                "limit": 2,
                "totalCount": 100
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/FinancingRequestPageResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение запросов на финансирование",
  "tags": [
    "FinancingRequest"
  ]
}

POST /v1/financing-requests — Создание запроса на финансирование

Метод создания запроса на финансирование по переданным поставкам

{
  "description": "Метод создания запроса на финансирование по переданным поставкам",
  "operationId": "createFinancingRequest",
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "simple": {
            "summary": "Создание запроса на финансирование",
            "value": {
              "suppliesToInclude": [
                {
                  "id": "5675c400-9835-491d-8489-d42ea7ed551c",
                  "cqrsVersion": -1628796591
                },
                {
                  "id": "5d5417d0-edd5-4910-8ae4-43706287a203",
                  "cqrsVersion": 513571264
                }
              ],
              "isPartiallyFinanceable": true,
              "financingAccountId": "0a587aa4-bad9-47ea-beee-6e7775c879f0"
            }
          }
        },
        "schema": {
          "$ref": "#/components/schemas/FinancingRequestCreationRequest"
        }
      }
    },
    "description": "Параметры для создания запроса на финансирование",
    "required": true
  },
  "responses": {
    "201": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Запрос на финансирование",
              "value": {
                "id": "e05f8afe-a72e-4a6f-8292-7edb51a724ec",
                "creationDate": "2025-10-16",
                "amount": 123456.78,
                "financedAmount": 0,
                "isPartiallyFinanceable": true,
                "financingAccount": {
                  "cbaNumber": "40702810400000053038"
                },
                "suppliesQuantity": 145,
                "number": 1,
                "digest": "eyJjbnVtIjoiQ0FDSkVXIfQ==",
                "debtor": {
                  "fullNameRus": "АО Черемуха"
                },
                "supplier": {
                  "cnum": "CACJEW",
                  "fullNameRus": "АО Ромашка"
                },
                "state": {
                  "status": "SENT_TO_CDC_SIGN",
                  "statusDate": "2025-10-16T10:53:37.433531",
                  "errors": [],
                  "cqrsVersion": -1628796591
                }
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/FinancingRequest"
          }
        }
      },
      "description": "CREATED"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5027",
                  "message": "Supplies must be selected on only one deal condition"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Создание запроса на финансирование",
  "tags": [
    "FinancingRequest"
  ],
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ]
}

DELETE /v1/financing-requests/{id} — Удаление запроса на финансирование

Перевод запроса на финансирование в архив (удаление запроса на финансирование)

{
  "description": "Перевод запроса на финансирование в архив (удаление запроса на финансирование)",
  "operationId": "deleteFinancingRequest",
  "parameters": [
    {
      "description": "Идентификатор запроса на финансирование",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "example": "e05f8afe-a72e-4a6f-8292-7edb51a724ec",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Удаление запроса на финансирование",
  "tags": [
    "FinancingRequest"
  ]
}

GET /v1/financing-requests/{id} — Получение запроса на финансирование по идентификатору

Метод получения запроса на финансирование по идентификатору

{
  "description": "Метод получения запроса на финансирование по идентификатору",
  "operationId": "getFinancingRequestById",
  "parameters": [
    {
      "description": "Идентификатор запроса на финансирование",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "example": "e05f8afe-a72e-4a6f-8292-7edb51a724ec",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Запрос на финансирование",
              "value": {
                "id": "e05f8afe-a72e-4a6f-8292-7edb51a724ec",
                "creationDate": "2025-10-16",
                "amount": 123456.78,
                "financedAmount": 0,
                "isPartiallyFinanceable": true,
                "financingAccount": {
                  "cbaNumber": "40702810400000053038"
                },
                "comment": "Комментарий",
                "suppliesQuantity": 145,
                "number": 1,
                "digest": "eyJjbnVtIjoiQ0FDSkVXIfQ==",
                "debtor": {
                  "fullNameRus": "АО Черемуха"
                },
                "supplier": {
                  "fullNameRus": "АО Ромашка",
                  "cnum": "CACJEW"
                },
                "state": {
                  "status": "SENT_TO_CDC_SIGN",
                  "statusDate": "2025-10-16T10:53:37.433531",
                  "errors": [],
                  "cqrsVersion": -1628796591
                }
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/FinancingRequest"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение запроса на финансирование по идентификатору",
  "tags": [
    "FinancingRequest"
  ]
}

GET /v1/offers — Получение контекста факторингового предложения

Метод получения eligibility, индикативных условий, списка доступных дебиторов и summary последнего lead

{
  "description": "Метод получения eligibility, индикативных условий, списка доступных дебиторов и summary последнего lead",
  "operationId": "getOffer",
  "parameters": [
    {
      "description": "Клиентский номер выбранной организации",
      "in": "query",
      "name": "selectedCnum",
      "required": false,
      "schema": {
        "example": "405760",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "available": {
              "summary": "Доступный offer",
              "value": {
                "availabilityStatus": "AVAILABLE",
                "eligible": true,
                "datasetVersion": "mock-s1-2026-04-24",
                "offer": {
                  "factoringType": "WITHOUT_RECOURSE",
                  "rateText": "Индикативная ставка от 2.5%",
                  "defermentText": "Отсрочка до 120 дней",
                  "supportEmail": "factoring_sales@raiffeisen.ru"
                },
                "eligibleDebtors": [
                  {
                    "debtorCnum": "123456789",
                    "debtorName": "Ромашка",
                    "indicativeLimitAmount": 1000
                  }
                ],
                "latestLead": {
                  "leadId": "e05f8afe-a72e-4a6f-8292-7edb51a724ec",
                  "cnum": "405760",
                  "status": "DRAFT",
                  "updatedAt": "2026-04-22T12:00:00Z",
                  "selectedDebtors": [
                    {
                      "debtorCnum": "123456789",
                      "debtorName": "Ромашка"
                    }
                  ]
                }
              }
            },
            "unavailable": {
              "summary": "Нет доступных дебиторов для selectedCnum=RATP10",
              "value": {
                "availabilityStatus": "EMPTY_DEBTOR_LIST",
                "eligible": false,
                "unavailableReason": "NO_ELIGIBLE_DEBTORS",
                "datasetVersion": "mock-s1-2026-04-24",
                "offer": null,
                "eligibleDebtors": [],
                "latestLead": null
              }
            },
            "clientNotEligible": {
              "summary": "Offer недоступен для selectedCnum=AAABBB",
              "value": {
                "availabilityStatus": "UNAVAILABLE",
                "eligible": false,
                "unavailableReason": "CLIENT_NOT_ELIGIBLE",
                "datasetVersion": "mock-s1-2026-04-24",
                "offer": null,
                "eligibleDebtors": [],
                "latestLead": null
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/OfferResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "selectedOrganizationRequired": {
              "summary": "Не выбрана организация",
              "value": [
                {
                  "code": "SELECTED_ORGANIZATION_REQUIRED",
                  "message": "selectedCnum is required when several organizations are available"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "content": {
        "application/json": {
          "examples": {
            "selectedOrganizationNotAllowed": {
              "summary": "Организация недоступна пользователю",
              "value": [
                {
                  "code": "SELECTED_ORGANIZATION_NOT_ALLOWED",
                  "message": "selectedCnum is not included in allowed organizations"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "FORBIDDEN"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение контекста факторингового предложения",
  "tags": [
    "Offer"
  ]
}

POST /v1/registry/parse — Парсинг реестра поставок

Метод парсинга реестра поставок

{
  "description": "Метод парсинга реестра поставок",
  "operationId": "parseRegistry",
  "requestBody": {
    "content": {
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": {
        "schema": {
          "format": "binary",
          "type": "string"
        }
      }
    },
    "description": "Файл Реестр поставок в формате xlsx",
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "success": {
              "summary": "Успешный парсинг реестра",
              "value": {
                "parsedPrimarySupplies": [
                  {
                    "rowNumber": 1,
                    "supplyNumber": "26052021-51",
                    "invoiceNumber": null,
                    "additionalDocumentNumber": null,
                    "signDate": "2021-05-26",
                    "invoiceSignDate": null,
                    "additionalDocumentSignDate": null,
                    "amount": 100,
                    "contractNumber": "11122019-1",
                    "deferralStartDate": "2021-05-26",
                    "debtorInn": "1121003135"
                  },
                  {
                    "rowNumber": 2,
                    "supplyNumber": "15062021-12",
                    "invoiceNumber": "456",
                    "additionalDocumentNumber": null,
                    "signDate": "2021-06-15",
                    "invoiceSignDate": "2021-06-16",
                    "additionalDocumentSignDate": null,
                    "amount": 250.5,
                    "contractNumber": "22233020-2",
                    "deferralStartDate": "2021-06-15",
                    "debtorInn": "7701234567"
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ParsedPrimarySupplyListResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "validationError": {
              "summary": "Ошибка валидации",
              "value": {
                "code": "REST_ERROR_5032",
                "message": "Data validation failed",
                "details": [
                  {
                    "param": "array[2].debtorInn",
                    "code": "VALIDATION_ERROR_1201",
                    "message": "Invalid INN format"
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ValidationErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Парсинг реестра поставок",
  "tags": [
    "Registry"
  ],
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ]
}

GET /v1/reports/registered-supplies — Генерация и получение отчета о зарегистрированных поставках

Метод генерации и получения отчета о зарегистрированных поставках

{
  "description": "Метод генерации и получения отчета о зарегистрированных поставках",
  "operationId": "getRegisteredSuppliesReport",
  "parameters": [
    {
      "description": "Допустимый MIME-тип ответа",
      "in": "header",
      "name": "Accept",
      "required": true,
      "schema": {
        "enum": [
          "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
        ],
        "example": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
        "type": "string"
      }
    },
    {
      "description": "Идентификатор Договора Факторинга",
      "in": "query",
      "name": "agreementId",
      "required": true,
      "schema": {
        "example": "ba705955-3e0f-4956-84e0-e12616e84e2b",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "Начальная дата включения поставок в отчет (по дате регистрации в системе) включительно",
      "in": "query",
      "name": "startDate",
      "required": true,
      "schema": {
        "example": "2025-12-01",
        "format": "date",
        "type": "string"
      }
    },
    {
      "description": "Конечная дата включения поставок в отчет (по дате регистрации в системе) включительно",
      "in": "query",
      "name": "endDate",
      "required": true,
      "schema": {
        "example": "2026-01-01",
        "format": "date",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": {
          "schema": {
            "nullable": false,
            "type": "object"
          }
        }
      },
      "description": "Файл отчета в формате xlsx"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Генерация и получение отчета о зарегистрированных поставках",
  "tags": [
    "Report"
  ]
}

GET /v1/suppliers/{id} — Получение поставщика по идентификатору

Метод получения поставщика по идентификатору

{
  "description": "Метод получения поставщика по идентификатору ",
  "operationId": "getSupplierById",
  "parameters": [
    {
      "description": "Идентификатор поставщика",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "example": "74f36f89-3e28-4291-896f-b76801238e89",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Поставщик",
              "value": {
                "id": "74f36f89-3e28-4291-896f-b76801238e89",
                "fullNameRus": "АО Ромашка",
                "state": {
                  "status": "ACTIVE",
                  "statusDate": "2025-10-11T13:06:24.761359",
                  "errors": [],
                  "cqrsVersion": 5432123988
                }
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/Supplier"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение поставщика по идентификатору",
  "tags": [
    "Supplier"
  ]
}

POST /v1/supplies — Ручная загрузка поставок

Метод для загрузки поставок вручную

{
  "description": "Метод для загрузки поставок вручную",
  "operationId": "uploadSupplies",
  "parameters": [
    {
      "description": "Идентификатор Договора Факторинга",
      "in": "query",
      "name": "agreementId",
      "required": true,
      "schema": {
        "example": "ba705955-3e0f-4956-84e0-e12616e84e2b",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "simple": {
            "summary": "Ручная загрузка поставок",
            "value": {
              "supplies": [
                {
                  "supplyNumber": "26052021-51",
                  "signDate": "2021-05-26",
                  "amount": 100,
                  "contractNumber": "11122019-1",
                  "deferralStartDate": "2021-05-26",
                  "debtorInn": "1121003135"
                },
                {
                  "supplyNumber": "27052021-10",
                  "invoiceNumber": "456",
                  "signDate": "2021-05-27",
                  "invoiceSignDate": "2021-05-28",
                  "amount": 250000.5,
                  "contractNumber": "22032020-5",
                  "deferralStartDate": "2021-05-27",
                  "debtorInn": "7701234567"
                }
              ]
            }
          }
        },
        "schema": {
          "$ref": "#/components/schemas/SupplyUploadListRequest"
        }
      }
    }
  },
  "responses": {
    "202": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Успешная загрузка",
              "value": {
                "supplies": [
                  {
                    "id": "5675c400-9835-491d-8489-d42ea7ed551c"
                  },
                  {
                    "id": "5d5417d0-edd5-4910-8ae4-43706287a203"
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/SupplyUploadListResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "validationError": {
              "summary": "Ошибка валидации",
              "value": {
                "code": "REST_ERROR_5032",
                "message": "Data validation failed",
                "details": [
                  {
                    "param": "array[2]",
                    "code": "VALIDATION_ERROR_1213",
                    "message": "Contract not found"
                  },
                  {
                    "param": "array[3].signDate",
                    "code": "VALIDATION_ERROR_1211",
                    "message": "Invoice sign date does not equal sign date"
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ValidationErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Ручная загрузка поставок",
  "tags": [
    "Supply"
  ]
}

GET /v1/supplies/{id} — Получение поставки по идентификатору

Метод получения поставки по идентификатору

{
  "description": "Метод получения поставки по идентификатору",
  "operationId": "getSupplyById",
  "parameters": [
    {
      "description": "Идентификатор поставки",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "example": "5675c400-9835-491d-8489-d42ea7ed551c",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Поставка",
              "value": {
                "id": "5675c400-9835-491d-8489-d42ea7ed551c",
                "amount": 123456.78,
                "availableFinancingAmount": 98765.42,
                "financedAmount": 25742.31,
                "number": "П-1234",
                "deferralStartDate": "2025-10-13",
                "waitingPeriodEndDate": "2025-10-20",
                "debtor": {
                  "fullNameRus": "АО Ромашка"
                },
                "state": {
                  "status": "APPROVED",
                  "statusDate": "2025-10-13T10:53:37.433221",
                  "errors": [],
                  "cqrsVersion": -1628796591
                }
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/Supply"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение поставки по идентификатору",
  "tags": [
    "Supply"
  ]
}

POST /v1/supplies/search — Получение поставок

Метод получения поставок по переданным параметрам

{
  "description": "Метод получения поставок по переданным параметрам",
  "operationId": "getSupplies",
  "requestBody": {
    "content": {
      "application/json": {
        "examples": {
          "simple": {
            "summary": "Поиск поставок по набору параметров",
            "value": {
              "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
              "dealConditionsId": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
              "financingRequestId": "e05f8afe-a72e-4a6f-8292-7edb51a724ec",
              "waitingPeriodEndDateFrom": "2025-12-01",
              "waitingPeriodEndDateTo": "2025-12-31",
              "deferralStartDateFrom": "2025-12-01",
              "deferralStartDateTo": "2025-12-31",
              "deferralEndDateFrom": "2026-01-01",
              "statuses": [
                "APPROVED",
                "FINANCING_IN_PROGRESS"
              ],
              "supplyIds": [
                "5675c400-9835-491d-8489-d42ea7ed551c",
                "5d5417d0-edd5-4910-8ae4-43706287a203"
              ],
              "offset": 10,
              "limit": 2
            }
          }
        },
        "schema": {
          "$ref": "#/components/schemas/SupplySearchRequest"
        }
      }
    },
    "description": "Параметры для поиска поставок",
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Поставки",
              "value": {
                "supplies": [
                  {
                    "id": "5675c400-9835-491d-8489-d42ea7ed551c",
                    "amount": 123456.78,
                    "availableFinancingAmount": 98765.42,
                    "financedAmount": 25742.31,
                    "number": "П-1234",
                    "deferralStartDate": "2025-10-13",
                    "waitingPeriodEndDate": "2025-10-20",
                    "debtor": {
                      "fullNameRus": "АО Ромашка"
                    },
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-13T10:53:37.433221",
                      "errors": [],
                      "cqrsVersion": -1628796591
                    }
                  },
                  {
                    "id": "5d5417d0-edd5-4910-8ae4-43706287a203",
                    "amount": 567890.12,
                    "availableFinancingAmount": 397523.01,
                    "financedAmount": 267752.2,
                    "number": "П-7777",
                    "deferralStartDate": "2025-10-14",
                    "waitingPeriodEndDate": "2025-10-23",
                    "debtor": {
                      "fullNameRus": "АО Ромашка"
                    },
                    "state": {
                      "status": "FINANCING_IN_PROGRESS",
                      "statusDate": "2025-10-05T11:21:55.381531",
                      "errors": [],
                      "cqrsVersion": 3473257012
                    }
                  }
                ],
                "offset": 10,
                "limit": 2,
                "totalCount": 100
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/SupplyPageResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение поставок",
  "tags": [
    "Supply"
  ],
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ]
}

GET /v1/supplies/for-desired-financing-amount — Получение списка поставок под желаемую сумму финансирования

Метод получения списка поставок, сумма availableFinancingAmount которых меньше или равна желаемой сумме финансирования. Подобранные поставки относятся к одному дебитору (сублимиту). Метод не гарантирует оптимальный подбор поставок - не гарантируется, что сумма availableFinancingAmount подобранных поставок максимальна для заданной границы в виде желаемой суммы. Приоритетом для включения поставок в список является более ранняя deferralStartDate. Отсортированные по deferralStartDate поставки включаются в результирующий список до тех пора, пока сумма availableFinancingAmount <= желаемой сумме. При isPartiallyFinanceable = true единожды может быть добавлена поставка, нарушающая условие 'сумма availableFinancingAmount <= желаемой сумме'

{
  "description": "Метод получения списка поставок, сумма availableFinancingAmount которых меньше или равна желаемой сумме финансирования. Подобранные поставки относятся к одному дебитору (сублимиту). Метод не гарантирует оптимальный подбор поставок - не гарантируется, что сумма availableFinancingAmount подобранных поставок максимальна для заданной границы в виде желаемой суммы. Приоритетом для включения поставок в список является более ранняя deferralStartDate.  Отсортированные по deferralStartDate поставки включаются в результирующий список до тех пора, пока сумма availableFinancingAmount <= желаемой сумме. При isPartiallyFinanceable = true единожды может быть добавлена поставка, нарушающая условие 'сумма availableFinancingAmount <= желаемой сумме'\n",
  "operationId": "getSuppliesForAmount",
  "parameters": [
    {
      "description": "Идентификатор основных условий обслуживания Поставщик-Дебитор, по контрактам которых необходимо подобрать поставки",
      "example": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
      "in": "query",
      "name": "dealConditionsId",
      "required": true,
      "schema": {
        "example": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "Желаемая сумма финансирования - та сумма, меньше или равна которой должна быть сумма availableFinancingAmount поставок",
      "in": "query",
      "name": "desiredFinancingAmount",
      "required": true,
      "schema": {
        "example": 500000,
        "type": "number"
      }
    },
    {
      "description": "Возможность частичного финансирования на заданную сумму. Если true - сумма availableFinancingAmount подобранных  поставок может быть больше desiredFinancingAmount за счет добавления одной поставки в результирующий список\n",
      "in": "query",
      "name": "isPartiallyFinanceable",
      "required": true,
      "schema": {
        "example": false,
        "type": "boolean"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Поставки",
              "value": {
                "supplies": [
                  {
                    "id": "5675c400-9835-491d-8489-d42ea7ed551c",
                    "amount": 123456.78,
                    "availableFinancingAmount": 98765.42,
                    "financedAmount": 25742.31,
                    "number": "П-1234",
                    "deferralStartDate": "2025-10-13",
                    "waitingPeriodEndDate": "2025-10-20",
                    "debtor": {
                      "fullNameRus": "АО Ромашка"
                    },
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-13T10:53:37.433221",
                      "errors": [],
                      "cqrsVersion": -1628796591
                    }
                  },
                  {
                    "id": "5d5417d0-edd5-4910-8ae4-43706287a203",
                    "amount": 567890.12,
                    "availableFinancingAmount": 397523.01,
                    "financedAmount": 267752.2,
                    "number": "П-7777",
                    "deferralStartDate": "2025-10-14",
                    "waitingPeriodEndDate": "2025-10-23",
                    "debtor": {
                      "fullNameRus": "АО Ромашка"
                    },
                    "state": {
                      "status": "FINANCING_IN_PROGRESS",
                      "statusDate": "2025-10-05T11:21:55.381531",
                      "errors": [],
                      "cqrsVersion": 3473257012
                    }
                  }
                ]
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/SupplyListResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение списка поставок под желаемую сумму финансирования",
  "tags": [
    "Supply"
  ]
}

GET /v1/tariff-plans — Получение тарифных планов

Метод получения тарифных планов по переданным параметрам

{
  "description": "Метод получения тарифных планов по переданным параметрам",
  "operationId": "getTariffPlans",
  "parameters": [
    {
      "description": "Идентификатор контракта",
      "in": "query",
      "name": "contractId",
      "required": false,
      "schema": {
        "example": "ba705955-3e0f-4956-84e0-e12616e84e2b",
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "Число записей для смещения для формирования страницы ответа",
      "in": "query",
      "name": "offset",
      "required": false,
      "schema": {
        "example": 10,
        "type": "integer"
      }
    },
    {
      "description": "Ограничение количества элементов на странице ответа",
      "in": "query",
      "name": "limit",
      "required": false,
      "schema": {
        "example": 2,
        "type": "integer"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "multiple": {
              "description": "Несколько тарифных планов. Такой результат возможен без указания contractId",
              "summary": "Тарифные планы",
              "value": {
                "tariffPlans": [
                  {
                    "id": "87c4b6c5-4340-4b01-b910-8736420178d2",
                    "contractId": "4f7d974a-dd63-421b-ba2b-712da215b86b",
                    "financingTariffs": [
                      {
                        "id": "7591a148-5ccb-4b53-984d-1a6cb0f3c72c",
                        "type": "FOR_FINANCE_PERCENT",
                        "deferralFeeValue": 0.123,
                        "additionalPeriodFeeValue": 0.234,
                        "waitingPeriodFeeValue": 0.345,
                        "startDate": "2025-05-01",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "aae70d79-6912-41d6-81db-b74a0fd5f1e2",
                        "type": "FOR_FINANCE_FLOAT_CBR",
                        "deferralFeeValue": 0.234,
                        "additionalPeriodFeeValue": 0.345,
                        "waitingPeriodFeeValue": 0.567,
                        "startDate": "2026-01-12",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      }
                    ],
                    "financedSupplyTariffs": [
                      {
                        "id": "0cc43258-7c89-48c1-94ab-7c3885f97576",
                        "type": "FOR_FINANCED_SUPPLY_PERCENT",
                        "value": 0.123,
                        "startDate": "2025-05-01",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "0cc43258-7c89-48c1-94ab-7c3885f97576",
                        "type": "FOR_FINANCED_SUPPLY_FIX",
                        "value": 500,
                        "startDate": "2026-01-12",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      }
                    ],
                    "incomingPaymentOrderHandlingTariffs": [
                      {
                        "id": "01516372-4465-4b9e-9aa3-19f421849592",
                        "type": "FOR_PAYMENT_PERCENT",
                        "value": 0.123,
                        "startDate": "2025-05-01",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "01516372-4465-4b9e-9aa3-19f421849592",
                        "type": "FOR_PAYMENT_FIX",
                        "value": 100,
                        "startDate": "2026-01-13",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      }
                    ],
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024991",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  },
                  {
                    "id": "e2430cd0-6a91-4fd7-92fa-191a0857cb72",
                    "contractId": "4d8c17f5-c954-499d-bb6c-15bd9518c457",
                    "financingTariffs": [
                      {
                        "id": "afc37b8f-f166-497c-a967-da7da7278c01",
                        "type": "FOR_FINANCE_PERCENT",
                        "deferralFeeValue": 0.9876,
                        "additionalPeriodFeeValue": 0.8765,
                        "waitingPeriodFeeValue": 0.7654,
                        "startDate": "2025-10-12",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-11-23T15:13:21.156123",
                          "errors": [],
                          "cqrsVersion": 5432102345
                        }
                      }
                    ],
                    "financedSupplyTariffs": [],
                    "incomingPaymentOrderHandlingTariffs": [],
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-11-23T15:13:21.156123",
                      "errors": [],
                      "cqrsVersion": 5432102345
                    }
                  }
                ],
                "offset": 0,
                "limit": 2,
                "totalCount": 3
              }
            },
            "one-with-all-tariffs": {
              "description": "Один тарифный план. У данного тарифа заданы все возможные типы тарифов. Такой результат возможен при указании contractId",
              "summary": "Тарифный план со всеми доступными тарифами",
              "value": {
                "tariffPlans": [
                  {
                    "id": "87c4b6c5-4340-4b01-b910-8736420178d2",
                    "contractId": "4f7d974a-dd63-421b-ba2b-712da215b86b",
                    "financingTariffs": [
                      {
                        "id": "7591a148-5ccb-4b53-984d-1a6cb0f3c72c",
                        "type": "FOR_FINANCE_PERCENT",
                        "deferralFeeValue": 0.123,
                        "additionalPeriodFeeValue": 0.234,
                        "waitingPeriodFeeValue": 0.345,
                        "startDate": "2025-05-01",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "aae70d79-6912-41d6-81db-b74a0fd5f1e2",
                        "type": "FOR_FINANCE_FLOAT_CBR",
                        "deferralFeeValue": 0.234,
                        "additionalPeriodFeeValue": 0.345,
                        "waitingPeriodFeeValue": 0.567,
                        "startDate": "2026-01-12",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      }
                    ],
                    "financedSupplyTariffs": [
                      {
                        "id": "0cc43258-7c89-48c1-94ab-7c3885f97576",
                        "type": "FOR_FINANCED_SUPPLY_PERCENT",
                        "value": 0.123,
                        "startDate": "2025-05-01",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "0cc43258-7c89-48c1-94ab-7c3885f97576",
                        "type": "FOR_FINANCED_SUPPLY_FIX",
                        "value": 500,
                        "startDate": "2026-01-12",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      }
                    ],
                    "incomingPaymentOrderHandlingTariffs": [
                      {
                        "id": "01516372-4465-4b9e-9aa3-19f421849592",
                        "type": "FOR_PAYMENT_PERCENT",
                        "value": 0.123,
                        "startDate": "2025-05-01",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      },
                      {
                        "id": "01516372-4465-4b9e-9aa3-19f421849592",
                        "type": "FOR_PAYMENT_FIX",
                        "value": 100,
                        "startDate": "2026-01-13",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-10-16T12:00:01.024991",
                          "errors": [],
                          "cqrsVersion": 1742767789
                        }
                      }
                    ],
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-10-16T12:00:01.024991",
                      "errors": [],
                      "cqrsVersion": 1742767789
                    }
                  }
                ],
                "offset": 0,
                "limit": 1,
                "totalCount": 1
              }
            },
            "one-with-only-required-tariffs": {
              "description": "Один тарифный план. У данного тарифного плана задан только обязательный тип тарифов. Такой результат возможен при указании contractId",
              "summary": "Тарифный план с обязательными тарифами",
              "value": {
                "tariffPlans": [
                  {
                    "id": "e2430cd0-6a91-4fd7-92fa-191a0857cb72",
                    "contractId": "4d8c17f5-c954-499d-bb6c-15bd9518c457",
                    "financingTariffs": [
                      {
                        "id": "afc37b8f-f166-497c-a967-da7da7278c01",
                        "type": "FOR_FINANCE_PERCENT",
                        "deferralFeeValue": 0.9876,
                        "additionalPeriodFeeValue": 0.8765,
                        "waitingPeriodFeeValue": 0.7654,
                        "startDate": "2025-10-12",
                        "state": {
                          "status": "APPROVED",
                          "statusDate": "2025-11-23T15:13:21.156123",
                          "errors": [],
                          "cqrsVersion": 5432102345
                        }
                      }
                    ],
                    "financedSupplyTariffs": [],
                    "incomingPaymentOrderHandlingTariffs": [],
                    "state": {
                      "status": "APPROVED",
                      "statusDate": "2025-11-23T15:13:21.156123",
                      "errors": [],
                      "cqrsVersion": 5432102345
                    }
                  }
                ],
                "offset": 0,
                "limit": 1,
                "totalCount": 1
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/TariffPlanPageResponse"
          }
        }
      },
      "description": "OK"
    },
    "400": {
      "content": {
        "application/json": {
          "examples": {
            "simple": {
              "summary": "Ошибка",
              "value": [
                {
                  "code": "REST_ERROR_5001",
                  "message": "General service error"
                }
              ]
            }
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "BAD_REQUEST"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение тарифных планов",
  "tags": [
    "TariffPlan"
  ]
}

Схемы и примеры

{
  "schemas": {
    "AgreementListResponse": {
      "allOf": [
        {
          "properties": {
            "agreements": {
              "description": "Договоры",
              "items": {
                "$ref": "#/components/schemas/Agreement"
              },
              "type": "array"
            }
          },
          "type": "object"
        }
      ],
      "example": {
        "agreements": [
          {
            "id": "ba705955-3e0f-4956-84e0-e12616e84e2b",
            "supplierId": "74f36f89-3e28-4291-896f-b76801238e89",
            "number": "ДФ-1234",
            "startDate": "2025-05-01",
            "feeInvoiceCompensationPeriod": 10,
            "isNonAcceptanceWithdrawalFee": false,
            "internalAccounts": [
              {
                "id": "0a587aa4-bad9-47ea-beee-6e7775c879f0",
                "cbaNumber": "40702810400000053038",
                "isForFinancing": true,
                "state": {
                  "status": "ACTIVE",
                  "statusDate": "2025-10-15T12:13:11.512123",
                  "errors": [],
                  "cqrsVersion": -5471340216
                }
              },
              {
                "id": "96f88f49-09d4-4580-bb84-1a327e89dd3b",
                "cbaNumber": "40701610400000053040",
                "isForFinancing": true,
                "state": {
                  "status": "BLOCKED",
                  "statusDate": "2025-10-10T17:51:01.256712",
                  "errors": [],
                  "cqrsVersion": -1237890432
                }
              }
            ],
            "externalAccounts": [
              {
                "id": "dfbea6f1-309c-4c0e-815d-7d6527a234c8",
                "cbaNumber": "40702978200000023058",
                "bankFullNameRus": "ОАО КБ \"ЖИЛСТРОЙБАНК\"",
                "isForFinancing": false,
                "state": {
                  "status": "ACTIVE",
                  "statusDate": "2025-10-01T08:05:51.024123",
                  "errors": [],
                  "cqrsVersion": 1742767789
                }
              },
              {
                "id": "b2d62049-c229-4849-9234-6c5d9e9d1e80",
                "cbaNumber": "40702931700000023512",
                "bankFullNameRus": "АО \"РОССЕЛЬХОЗБАНК\"",
                "isForFinancing": true,
                "state": {
                  "status": "ACTIVE",
                  "statusDate": "2025-09-25T14:31:20.0965678",
                  "errors": [],
                  "cqrsVersion": 6298231120
                }
              }
            ],
            "state": {
              "status": "APPROVED",
              "statusDate": "2025-10-16T12:00:01.024991",
              "errors": [],
              "cqrsVersion": 1742767789
            }
          },
          {
            "id": "52d76346-1aa1-4268-ae14-fb6d8e048305",
            "supplierId": "74f36f89-3e28-4291-896f-b76801238e89",
            "number": "ДФ-9876",
            "startDate": "2025-07-15",
            "feeInvoiceCompensationPeriod": 20,
            "isNonAcceptanceWithdrawalFee": true,
            "internalAccounts": [
              {
                "id": "05217cb1-8abe-4807-8843-5d54840aeed2",
                "cbaNumber": "40702810400000053038",
                "isForFinancing": true,
                "state": {
                  "status": "ACTIVE",
                  "statusDate": "2025-10-15T12:13:11.512312",
                  "errors": [],
                  "cqrsVersion": -5471340216
                }
              },
              {
                "id": "93bf311e-ceb4-47ac-8e06-32d6ba64a297",
                "cbaNumber": "40701610400000053040",
                "isForFinancing": true,
                "state": {
                  "status": "BLOCKED",
                  "statusDate": "2025-10-10T17:51:01.256453",
                  "errors": [],
                  "cqrsVersion": -1237890432
                }
              }
            ],
            "externalAccounts": [
              {
                "id": "02882c49-6b3d-4e34-a76c-648e2fead85a",
                "cbaNumber": "40702978200000023058",
                "bankFullNameRus": "ОАО КБ \"ЖИЛСТРОЙБАНК\"",
                "isForFinancing": false,
                "state": {
                  "status": "ACTIVE",
                  "statusDate": "2025-10-01T08:05:51.024112",
                  "errors": [],
                  "cqrsVersion": 1742767789
                }
              },
              {
                "id": "83f89556-a9a0-4431-a5f5-56be6b414835",
                "cbaNumber": "40702931700000023512",
                "bankFullNameRus": "АО \"РОССЕЛЬХОЗБАНК\"",
                "isForFinancing": true,
                "state": {
                  "status": "ACTIVE",
                  "statusDate": "2025-09-25T14:31:20.096345",
                  "errors": [],
                  "cqrsVersion": 6298231120
                }
              }
            ],
            "state": {
              "status": "APPROVED",
              "statusDate": "2025-10-16T12:00:01.024667",
              "errors": [],
              "cqrsVersion": 1742767789
            }
          }
        ]
      },
      "type": "object"
    },
    "ErrorResponse": {
      "example": [
        {
          "code": "REST_ERROR_5001",
          "message": "General service error"
        }
      ],
      "items": {
        "$ref": "#/components/schemas/ErrorMessage"
      },
      "type": "array"
    },
    "AgreementSumListResponse": {
      "allOf": [
        {
          "properties": {
            "agreementSums": {
              "description": "Суммы договоров",
              "items": {
                "$ref": "#/components/schemas/AgreementSum"
              },
              "type": "array"
            }
          },
          "type": "object"
        }
      ],
      "example": {
        "agreementSums": [
          {
            "id": "5d4ee077-09ad-4d60-953d-845055187941",
            "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
            "amount": 2000000,
            "availableAmount": 500000.68,
            "utilizedAmount": 1000000.53,
            "state": {
              "status": "ACTIVE",
              "statusDate": "2025-10-16T12:00:01.024991",
              "errors": [],
              "cqrsVersion": 1742767789
            }
          },
          {
            "id": "35a20a89-decc-456c-a63b-a4dddda197ef",
            "agreementId": "033bbe3b-eb5e-4cd2-b8bd-4b42433e3d77",
            "amount": 123456789,
            "availableAmount": 123451788.88,
            "utilizedAmount": 5000.12,
            "state": {
              "status": "ACTIVE",
              "statusDate": "2026-01-16T08:12:51.053201",
              "errors": [],
              "cqrsVersion": 6123601121
            }
          }
        ]
      },
      "type": "object"
    },
    "SublimitListResponse": {
      "allOf": [
        {
          "properties": {
            "sublimits": {
              "description": "Сублимиты",
              "items": {
                "$ref": "#/components/schemas/Sublimit"
              },
              "type": "array"
            }
          },
          "type": "object"
        }
      ],
      "example": {
        "sublimits": [
          {
            "id": "04ab216e-5626-4111-86d8-f606048fc000",
            "dealConditionsId": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
            "amount": 2000000,
            "utilizedAmount": 987654.38,
            "state": {
              "status": "APPROVED",
              "statusDate": "2025-10-16T12:00:01.024001",
              "errors": [],
              "cqrsVersion": 1742767789
            }
          },
          {
            "id": "b76ab99e-067c-4eea-ab51-2f759d6d0bbe",
            "dealConditionsId": "58a4683f-f1f6-41e8-9615-b1c8ea39523d",
            "amount": 1500000,
            "utilizedAmount": 0,
            "state": {
              "status": "IN_PROCESSING",
              "statusDate": "2025-08-12T19:31:43.645387",
              "errors": [],
              "cqrsVersion": 1742767789
            }
          }
        ]
      },
      "type": "object"
    },
    "ContractListResponse": {
      "allOf": [
        {
          "properties": {
            "contracts": {
              "description": "Контракты",
              "items": {
                "$ref": "#/components/schemas/Contract"
              },
              "type": "array"
            }
          },
          "type": "object"
        }
      ],
      "example": {
        "contracts": [
          {
            "id": "4f7d974a-dd63-421b-ba2b-712da215b86b",
            "number": "A12345",
            "state": {
              "status": "APPROVED",
              "statusDate": "2025-10-16T12:00:01.024991",
              "errors": [],
              "cqrsVersion": 1742767789
            }
          },
          {
            "id": "0d8809f8-2c7f-4c62-8a51-2468906b7f1c",
            "number": "54321B",
            "state": {
              "status": "IN_PROCESSING",
              "statusDate": "2025-10-16T18:48:15.032112",
              "errors": [],
              "cqrsVersion": 5139236428
            }
          }
        ]
      },
      "type": "object"
    },
    "DealConditionsListResponse": {
      "allOf": [
        {
          "properties": {
            "dealConditions": {
              "description": "Основные условия обслуживания поставщик-дебитор",
              "items": {
                "$ref": "#/components/schemas/DealConditions"
              },
              "type": "array"
            }
          },
          "type": "object"
        }
      ],
      "example": {
        "dealConditions": [
          {
            "id": "b5c1e36d-bde1-42bf-8d72-9d0aa4504f73",
            "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
            "debtorId": "8867503f-10a5-4591-b739-78d75f3607c1",
            "state": {
              "status": "APPROVED",
              "statusDate": "2025-10-16T12:00:01.321458",
              "errors": [],
              "cqrsVersion": 1742767789
            }
          },
          {
            "id": "b2a81463-24ea-4917-aaae-3c72170ec117",
            "agreementId": "ba705955-3e0f-4956-84e0-e12616e84e2b",
            "debtorId": "fcad2408-4ebb-4cdc-a93d-577ec4528f54",
            "state": {
              "status": "IN_PROCESSING",
              "statusDate": "2025-10-04T15:21:54.582162",
              "errors": [],
              "cqrsVersion": 3816547290
            }
          }
        ]
      },
      "type": "object"
    },
    "Debtor": {
      "description": "Дебитор",
      "example": {
        "id": "8867503f-10a5-4591-b739-78d75f3607c1",
        "fullNameRus": "АО Ромашка",
        "state": {
          "status": "ACTIVE",
          "statusDate": "2025-10-21T15:25:12.391551",
          "errors": [],
          "cqrsVersion": 2791332215
        }
      },
      "properties": {
        "id": {
          "description": "Идентификатор дебитора",
          "example": "8867503f-10a5-4591-b739-78d75f3607c1",
          "format": "uuid",
          "type": "string"
        },
        "fullNameRus": {
          "description": "Полное наименование дебитора на русском языке",
          "example": "АО Ромашка",
          "type": "string"
        },
        "state": {
          "allOf": [
            {
              "$ref": "#/components/schemas/DebtorState"
            }
          ],
          "description": "Состояние дебитора",
          "type": "object"
        }
      },
      "required": [
        "fullNameRus",
        "id",
        "state"
      ],
      "type": "object"
    },
    "FinancingRequestPageResponse": {
      "allOf": [
        {
          "properties": {
            "financingRequests": {
              "description": "Запросы на финансирование",
              "items": {
                "$ref": "#/components/schemas/FinancingRequest"
              },
              "type": "array"
            }
          },
          "type": "object"
        },
        {
          "$ref": "#/components/schemas/PaginationResponse"
        }
      ],
      "example": {
        "financingRequests": [
          {
            "id": "e05f8afe-a72e-4a6f-8292-7edb51a724ec",
            "creationDate": "2025-10-16",
            "amount": 123456.78,
            "financedAmount": 0,
            "isPartiallyFinanceable": true,
            "financingAccount": {
              "cbaNumber": "40702810400000053038"
            },
            "comment": "Комментарий",
            "suppliesQuantity": 145,
            "number": 1,
            "digest": "eyJjbnVtIjoiQ0FDSkVXIfQ==",
            "debtor": {
              "fullNameRus": "АО Черемуха"
            },
            "supplier": {
              "cnum": "CACJEW",
              "fullNameRus": "АО Ромашка"
            },
            "state": {
              "status": "SENT_TO_CDC_SIGN",
              "statusDate": "2025-10-16T10:53:37.433531",
              "errors": [],
              "cqrsVersion": -1628796591
            }
          },
          {
            "id": "617edfe1-83a9-48b6-9cd8-10afb03a2181",
            "creationDate": "2025-10-16",
            "amount": 567890.12,
            "financedAmount": 0,
            "isPartiallyFinanceable": true,
            "financingAccount": {
              "cbaNumber": "40702810400000053038"
            },
            "comment": "Комментарий",
            "suppliesQuantity": 31,
            "number": 1,
            "digest": "eyJjbnVtIjoiQ0FxxxTLDfQ==",
            "debtor": {
              "fullNameRus": "АО Черемуха"
            },
            "supplier": {
              "cnum": "CACJEW",
              "fullNameRus": "АО Ромашка"
            },
            "state": {
              "status": "REJECTED",
              "statusDate": "2025-10-18T13:11:51.123581",
              "errors": [],
              "cqrsVersion": 5732813345
            }
          }
        ],
        "offset": 0,
        "limit": 2,
        "totalCount": 100
      },
      "type": "object"
    },
    "FinancingRequestCreationRequest": {
      "description": "Запрос на создание запроса на финансирование",
      "example": {
        "suppliesToInclude": [
          {
            "id": "5675c400-9835-491d-8489-d42ea7ed551c",
            "cqrsVersion": -1628796591
          },
          {
            "id": "5d5417d0-edd5-4910-8ae4-43706287a203",
            "cqrsVersion": 513571264
          }
        ],
        "isPartiallyFinanceable": true,
        "financingAccountId": "0a587aa4-bad9-47ea-beee-6e7775c879f0"
      },
      "properties": {
        "suppliesToInclude": {
          "description": "Список идентификаторов поставок для включения в запрос на финансирование",
          "example": [
[...]
